## u1db-qt 0.1.7~git20210730.507a5bf

=== debian/changelog ===
u1db-qt (0.1.7~git20210730.507a5bf-2) unstable; urgency=medium

  * Upload as is source-only.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 06 Nov 2022 22:05:31 +0100

u1db-qt (0.1.7~git20210730.507a5bf-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1023002).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 29 Oct 2022 00:09:51 +0200
