=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=0.1.7~git%cd.%h" \
https://gitlab.com/ubports/development/core/u1db-qt \
HEAD debian uupdate
