## u1db-qt 0.1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,11 @@
-project(u1db-qt)
-cmake_minimum_required(VERSION 2.8.6)
+cmake_minimum_required(VERSION 3.5)
+
+project(u1db-qt VERSION 0.1.7 LANGUAGES CXX)
 
 # Instruct CMake to run moc automatically when needed.
 set(CMAKE_AUTOMOC ON)
+
+option(ENABLE_WERROR "Treat all build warnings as errors" ON)
 
 # Dependencies
 include(FindPkgConfig)
@@ -17,7 +20,10 @@
 set(QT_U1DB_PKGCONFIG_FILE lib${U1DB_QT_LIBNAME}.pc)
 
 # Build flags
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -Wall -Wundef -Werror -std=c++0x")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -Wall -Wundef -std=c++0x")
+if(ENABLE_WERROR)
+    add_compile_options("-Werror")
+endif()
 add_definitions(-DQT_NO_KEYWORDS)
 # Disable building during install to avoid file permission chaos
 set(CMAKE_SKIP_INSTALL_ALL_DEPENDENCY 1)
