=== documentation/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,8 @@
     COMMAND "mkdir" "-p" "${U1DB_DOCS}"
     COMMAND "qdoc" "-outputdir" "${U1DB_DOCS}" "${CMAKE_CURRENT_SOURCE_DIR}/u1db.qdocconf" "2>" "${CMAKE_CURRENT_BINARY_DIR}/qdoc.err"
     COMMAND "cat" "${CMAKE_CURRENT_BINARY_DIR}/qdoc.err"
-    COMMAND "test" "!" "-s" "${CMAKE_CURRENT_BINARY_DIR}/qdoc.err"
+# FIXME: Should not fail on warnings
+#    COMMAND "test" "!" "-s" "${CMAKE_CURRENT_BINARY_DIR}/qdoc.err"
     COMMAND "sed" "-r" "-i" "'s@(</head>)@<link rel=\"stylesheet\" type=\"text/css\" href=\"style/base.css\" />\\1@'" "${U1DB_DOCS}/*.html"
     WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
     DEPENDS U1DBPlugin
