=== debian/changelog ===
u1db-qt (0.1.7-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:13:44 +1100

u1db-qt (0.1.7-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:20:56 +0000

u1db-qt (0.1.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Start watching upstream releases.
  * debian/patches:
    + Manually rebase 2001_fix-icon-path.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Feb 2023 16:59:41 +0100
