=== debian/control ===
Source: u1db-qt
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake (>= 2.8.6),
               dbus-test-runner,
               debhelper-compat (= 13),
               devscripts,
               libqt5sql5-sqlite,
               qml-module-qtquick2,
               qml-module-qttest,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qttools5-dev-tools,
               lomiri-ui-toolkit-doc,
               xvfb,
               xauth,
               libgl1-mesa-dri,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/u1db-qt
Vcs-Browser: https://salsa.debian.org/ubports-team/u1db-qt
Vcs-Git: https://salsa.debian.org/ubports-team/u1db-qt.git

Package: libu1db-qt5-3
Architecture: any
Multi-Arch: same
Depends: libqt5sql5-sqlite,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt5 binding for U1DB - shared library
 Simple Qt5 binding and QtQuick2 plugin for U1DB (https://launchpad.net/u1db).
 .
 This package contains the shared library.

Package: qml-module-u1db
Architecture: any
Multi-Arch: same
Breaks: qtdeclarative5-u1db1.0
Replaces: qtdeclarative5-u1db1.0
Depends: libqt5sql5-sqlite,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt5 binding for U1DB - QtQuick2 QML plugin
 Simple Qt5 binding and QtQuick2 plugin for U1DB (https://launchpad.net/u1db).
 .
 This package contains the QML plugin.

Package: libu1db-qt5-dev
Section: libdevel
Architecture: any
Depends: libu1db-qt5-3 (= ${binary:Version}),
         qtbase5-dev,
         qtdeclarative5-dev,
         ${misc:Depends},
Description: Qt5 binding and QtQuick2 plugin for U1DB - development files
 Simple Qt5 binding and QtQuick2 plugin for U1DB (https://launchpad.net/u1db).
 .
 This package contains the developer headers for the Qt binding for U1DB

Package: libu1db-qt5-examples
Section: doc
Architecture: all
Depends: libu1db-qt5-3 (>= ${source:Version}),
         ${misc:Depends},
Description: Qt5 binding and QtQuick2 plugin for U1DB - examples
 Simple Qt5 binding and QtQuick2 plugin for U1DB (https://launchpad.net/u1db).
 .
 This package contains examples showcasing the use of the Qt binding for U1DB

Package: libu1db-qt5-doc
Section: doc
Architecture: all
Depends: libu1db-qt5-3 (>= ${source:Version}),
         qttools5-dev-tools,
         ${misc:Depends},
Description: Qt5 binding and QtQuick2 plugin for U1DB - offline documentation
 Simple Qt5 binding and QtQuick2 plugin for U1DB (https://launchpad.net/u1db).
 .
 This package contains the offline documentation for the Qt binding for U1DB
