=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/u1db-qt/tags .*/u1db-qt-(\d\S+)\.tar\.gz
