=== examples/CMakeLists.txt ===
file(GLOB ALL_EXAMPLES */*.qml)
install(FILES ${ALL_EXAMPLES}
    DESTINATION ${CMAKE_INSTALL_DATADIR}/u1db-qt/examples
    )
