=== gallery/CMakeLists.txt ===
install(FILES gallery.qml SplitView.qml
    DESTINATION ${CMAKE_INSTALL_DATADIR}/u1db-qt/gallery
    )

install(FILES u1db-qt-gallery.desktop
    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
    )
