=== qtcreator/CMakeLists.txt ===
set(U1DB_WIZARDS "${CMAKE_INSTALL_DATADIR}/qtcreator/templates/qml")

install(DIRECTORY "settings"
    DESTINATION "${U1DB_WIZARDS}"
    )

install(DIRECTORY "contacts"
    DESTINATION "${U1DB_WIZARDS}"
    )
