=== src/CMakeLists.txt ===
--- 
+++ 
@@ -48,8 +48,6 @@
   )
 
 # Install
-set(INCLUDE_INSTALL_DIR include/lib${U1DB_QT_LIBNAME})
-
 install(TARGETS ${U1DB_QT_LIBNAME}
     LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
     )
