=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 find_package(Qt5Test REQUIRED)
 
 add_test(NAME plugintest COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/strict-qmltestrunner.sh" "-import" "../modules" "-o" "plugintest-xunit.xml,xunitxml" "-o" "-,txt" "-input" "${CMAKE_CURRENT_SOURCE_DIR}")
+set_property(TEST plugintest PROPERTY ENVIRONMENT "XDG_DATA_HOME=/tmp/plugintest")
 
 include_directories(
     ${CMAKE_CURRENT_BINARY_DIR}
@@ -45,6 +46,3 @@
         add_custom_command(TARGET u1dbqt POST_BUILD COMMAND ${CMAKE_COMMAND} -E create_symlink libu1dbqt.so u1dbqt.so)
     endif ()
 endif ()
-
-add_test(NAME licensetest COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/checklicense.sh" WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}")
-
