=== debian/changelog ===
u1db-qt (0.1.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/metadata:
    + Update Bug-Database, Bug-Submit and Repository fields.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/rules:
    + Adjust doc file moving to this upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 19 Aug 2024 11:38:48 +0200
