=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: u1db-qt
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: cmake (>= 2.8.6),
                dbus-test-runner,
@@ -19,7 +18,7 @@
                xvfb,
                xauth,
                libgl1-mesa-dri,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/u1db-qt
 Vcs-Browser: https://salsa.debian.org/ubports-team/u1db-qt
