=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,8 @@
 override_dh_install:
 	# move doc files
 	mkdir -p debian/tmp/usr/share/doc/libu1db-qt5-dev/
-	mv debian/tmp/usr/share/u1db-qt/doc/html debian/tmp/usr/share/doc/libu1db-qt5-dev/
-	rmdir debian/tmp/usr/share/u1db-qt/doc/
+	mv debian/tmp/usr/share/doc/u1db-qt/html debian/tmp/usr/share/doc/libu1db-qt5-dev/
+	rmdir debian/tmp/usr/share/doc/u1db-qt/
 	# remove empty images/ dir
 	rmdir debian/tmp/usr/share/doc/libu1db-qt5-dev/html/images/
 	# run dh_install, finally
